Upgrade Fails and Log Contains "error: %pre(ocsm-3.4.0.2.0-118.x86_64) scriptlet failed, exit status 2"

(Doc ID 2328741.1)

Last updated on JANUARY 18, 2018

Applies to:

Oracle Communications Session Monitor - Version 3.4.x and later
Information in this document applies to any platform.

Symptoms

Once uploading the bin/rpm upgrade file into PSA interface and clicking "Install" the upgrade fails and the log available in the GUI for more details contains following relevant errors:

Cannot access to mysql (however it is running)

If you changed configuration or password for root user

please, set right the configuration in file /root/.my.cnf

OCSM installation is cancelled.

---------------------------------------------------------

error: %pre(ocsm-3.4.0.2.0-118.x86_64) scriptlet failed, exit status 2

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms